# config_bio.yml
# Config file for BioDiversity project production
mounts:
  - name: "video"
    path: "/mnt/M3"
    host: "m3.shore.mbari.org"
    nginx_root: "/M3"

  - name: "image"
    path: "/raid/bio"
    host: "digits-dev-box-fish.shore.mbari.org"
    nginx_root: "/bio"
    port: 8081

plugins:
  - name: "extractor"
    module: "mbari_aidata.plugins.extractors.tap_i2map_media"
    function: "extract_media"

redis:
  host: "doris.shore.mbari.org"
  internal_host: "redis-i2map"
  port: 6380
  project: "901221-MTS"


vss:
  project: "901221-Midwater-TimeSeries"
  model: "/mnt/DeepSea-AI/models/i2MAP/mbari-i2map-vits-b8-20251212/"
  output_path: "/mnt/DeepSea-AI/data/i2MAP/processed/vss"


tator:
  project: "901103-biodiversity"
  host: "https://mantis.shore.mbari.org"
  url_load: "http://mantis.shore.mbari.org:8001/label/id"
  image:
    attributes:
      video_reference_uuid:
        type: string
      index_elapsed_time_millis:
        type: int
  video:
    attributes:
      video_reference_uuid:
        type: string
      iso_start_datetime:
        type: datetime
      depth:
        type: float
  tdwa_box:
    attributes:
      Label:
        type: string
      score:
        type: float
      verified:
        type: bool
      similarity_score:
        type: float
  box:
    attributes:
      Label:
        type: string
      label_s:
        type: string
      concept:
        type: string
      score:
        type: float
      score_s:
        type: float
      cluster:
        type: string
      saliency:
        type: float
      group:
        type: string
      obs_uuid:
        type: string
      exemplar:
        type: bool
      verified:
        type: bool
      dive:
        type: string
      depth:
        type: float
      latitude:
        type: float
      longitude:
        type: float
  track_state:
    attributes:
      label:
        type: string
      avg_score:
        type: float
      max_score:
        type: float
      verified:
        type: bool
      num_frames:
        type: int

ffmpeg_path: "/usr/bin/ffmpeg"
